Subject: bug#77718: 31.0.50; completion styles substring and flex are broken

From: Spencer Baugh <[email-masked]>
Date: Wed, 16 Apr 2025 16:20:20 -0400

Stefan Monnier <[email-masked]> writes:
> I suggest we focus on the immediate completion issue.
> If you want to refine the treatment of $$, let's do that in a separate
> bug report.

OK, that's fair.

But to be clear, the issue is in completion-table-with-quoting, so it's
quite tied together with the treatment of $$.

My new version of completion--file-name-table fixes the bug by taking a
much simpler approach than completion-table-with-quoting, but that
approach depends on avoiding the need for $$.

I will try to think of another approach which is more similar to how
completion-table-with-quoting does things, but it will be more
complicated.